#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMouseEvent>
#include "controlador.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void conectar();
    void desconectar();
    void enviar_cmd1();
    void enviar_cmd2();
    void enviar_cmd3();
    void enviar_cmd4();
    void enviar_cmd5();
    void enviar_cmd6();
    void enviar_cdfor();
    void enviar_cdrev();
    void reset();
    void exit();

signals:
    void forward();
    void reverse();

protected:
    void mouseMoveEvent(QMouseEvent *);
    void mousePressEvent(QMouseEvent *);

private:
    Ui::MainWindow *ui;
    Controlador *serial;
};

#endif // MAINWINDOW_H
