#include "controlador.h"


Controlador::Controlador(QObject *parent) :
    QObject(parent)
{
     //port = NULL;
     port = new AbstractSerial();
     set = false;
}

Controlador::~Controlador(){
    set = false;

    port->close();
    qDebug() << "Serial device " << port->deviceName() << " is closed";
    delete port;
    port = NULL;
    qDebug() << set << "  " << port;
}

int Controlador::Conectar(){
    set = true;
    if(port->isOpen()){
        port->close();
    }
    port->setDeviceName(COM);
    port->open(AbstractSerial::WriteOnly);

    if(port->isOpen()){
            qDebug() << COM << " open";
    }
    else qDebug() << COM << " don't open";

    qDebug() << "Serial device " << port->deviceName() << " open in " << port->openMode();

    if (!port->setBaudRate(AbstractSerial::BaudRate9600)) {
        qDebug() << "Set baud rate " <<  AbstractSerial::BaudRate9600 << " error.";
    }

    if (!port->setDataBits(AbstractSerial::DataBits8)) {
        qDebug() << "Set data bits " <<  AbstractSerial::DataBits8 << " error.";
    }

    if (!port->setParity(AbstractSerial::ParityNone)) {
        qDebug() << "Set parity " <<  AbstractSerial::ParityNone << " error.";
    }

    if (!port->setStopBits(AbstractSerial::StopBits1)) {
        qDebug() << "Set stop bits " <<  AbstractSerial::StopBits1 << " error.";
    }

    if (!port->setFlowControl(AbstractSerial::FlowControlOff)) {
        qDebug() << "Set flow " <<  AbstractSerial::FlowControlOff << " error.";
    }


    return 0;

}

int Controlador::Enviar(QByteArray message){

    QByteArray ba = message; //data to send
    qint64 bw = 0; //bytes really writed

    int counterend = 1;
    while(counterend){
        bw = port->write(ba);
        qDebug() << "Writed is : " << bw << " bytes";
        counterend--;
    }
    this->Recibir();

}
int Controlador::Recibir(){

    QByteArray ba;
    ba = port->readAll();
    qDebug() << "Recibido is : " << ba.size() << " bytes";


}
void Controlador::buscar_COM(int* array){


    for(int i = 0;i<20;i++){
        port->setDeviceName("COM"+QString::number(i));
        port->open(AbstractSerial::WriteOnly);
        if(port->isOpen()){
            array[i]=1;
            //qDebug() << "uno" << i;
        }
        else array[i]=0;

        port->close();
    }
}
void Controlador::setCOM(QString com){

    COM = com;

}
