#ifndef CONTROLADOR_H
#define CONTROLADOR_H

#include <QObject>
#include <abstractserial.h>
#include <serialdeviceinfo.h>
#include <serialdevicewatcher.h>
#include <iostream>
#include <QDebug>
#include <QStringList>
#include <QtGui>
#include <QString>



class Controlador : public QObject
{
    Q_OBJECT
public:
    explicit Controlador(QObject *parent = 0);
    ~Controlador();
    void buscar_COM(int *);
    AbstractSerial *port;
    bool set;
signals:

public slots:

    int Conectar(void);
    int Enviar(QByteArray);
    int Recibir();
    void setCOM(QString);

// Seales
signals:
        void Conect(QString msj);  //Mensaje de conexin
        void R2Decod(QString msj,float val);     //Nuevo mensaje recivido


private:

    //SerialDeviceWatcher *sdw;
    int readBytes;
    QString COM;
};

#endif // CONTROLADOR_H
